Subject: bug#73404: 30.0.50; [forward/kill/etc]-sexp commands do not behave as expected in tree-sitter modes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jan 2025 21:05:22 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Theodor Thornhill <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   Mickey Petersen <[email-masked]>,  [email-masked],
>   Stefan Monnier <[email-masked]>
> Date: Sat, 04 Jan 2025 19:46:12 +0200
> 
> >> BTW, my initial intention was to add the thing 'list'.
> >> But then I discovered that (treesit-thing-next (point) 'list)
> >> uses the function 'list' instead of the thing 'list'.
> >> 
> >> However, the current 'sexp-list' as a two-word composite is too ugly.
> >> Now I found a better replacement: 'group'.  This word is already used
> >> in lisp.el such as in the docstring of 'forward-list':
> >
> > I don’t have an opinion on this.  Groups sounds a bit abstract, but so
> > does sexp-list.
> 
> Indeed, the right name is 'list'.  So let's use it.

Please don't change the terminology yet.  I'd like to try these
commands with some tree-sitter modes and see what names we could use
for them.  I didn't yet have time for that, but OTOH there's no rush.